diff --git a/dlls/quartz/tests/memallocator.c b/dlls/quartz/tests/memallocator.c
index 37df9a24b..164f3af47 100644
--- a/dlls/quartz/tests/memallocator.c
+++ b/dlls/quartz/tests/memallocator.c
@@ -27,7 +27,7 @@ static IMemAllocator *create_allocator(void)
     IMemAllocator *allocator = NULL;
     HRESULT hr = CoCreateInstance(&CLSID_MemoryAllocator, NULL, CLSCTX_INPROC_SERVER,
         &IID_IMemAllocator, (void **)&allocator);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     return allocator;
 }
 
@@ -63,59 +63,59 @@ static void test_properties(void)
 
     memset(&ret_props, 0xcc, sizeof(ret_props));
     hr = IMemAllocator_GetProperties(allocator, &ret_props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(!ret_props.cBuffers, "Got %ld buffers.\n", ret_props.cBuffers);
-    ok(!ret_props.cbBuffer, "Got size %ld.\n", ret_props.cbBuffer);
-    ok(!ret_props.cbAlign, "Got align %ld.\n", ret_props.cbAlign);
-    ok(!ret_props.cbPrefix, "Got prefix %ld.\n", ret_props.cbPrefix);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(!ret_props.cBuffers, "Got %d buffers.\n", ret_props.cBuffers);
+    ok(!ret_props.cbBuffer, "Got size %d.\n", ret_props.cbBuffer);
+    ok(!ret_props.cbAlign, "Got align %d.\n", ret_props.cbAlign);
+    ok(!ret_props.cbPrefix, "Got prefix %d.\n", ret_props.cbPrefix);
 
     hr = IMemAllocator_SetProperties(allocator, &req_props, &ret_props);
-    ok(hr == VFW_E_BADALIGN, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_BADALIGN, "Got hr %#x.\n", hr);
 
     for (i = 0; i < ARRAY_SIZE(tests); i++)
     {
         req_props = tests[i];
         hr = IMemAllocator_SetProperties(allocator, &req_props, &ret_props);
-        ok(hr == S_OK, "Test %u: Got hr %#lx.\n", i, hr);
+        ok(hr == S_OK, "Test %u: Got hr %#x.\n", i, hr);
         ok(!memcmp(&req_props, &tests[i], sizeof(req_props)), "Test %u: Requested props should not be changed.\n", i);
-        ok(ret_props.cBuffers == req_props.cBuffers, "Test %u: Got %ld buffers.\n", i, ret_props.cBuffers);
-        ok(ret_props.cbBuffer >= req_props.cbBuffer, "Test %u: Got size %ld.\n", i, ret_props.cbBuffer);
-        ok(ret_props.cbAlign == req_props.cbAlign, "Test %u: Got alignment %ld.\n", i, ret_props.cbAlign);
-        ok(ret_props.cbPrefix == req_props.cbPrefix, "Test %u: Got prefix %ld.\n", i, ret_props.cbPrefix);
+        ok(ret_props.cBuffers == req_props.cBuffers, "Test %u: Got %d buffers.\n", i, ret_props.cBuffers);
+        ok(ret_props.cbBuffer >= req_props.cbBuffer, "Test %u: Got size %d.\n", i, ret_props.cbBuffer);
+        ok(ret_props.cbAlign == req_props.cbAlign, "Test %u: Got alignment %d.\n", i, ret_props.cbAlign);
+        ok(ret_props.cbPrefix == req_props.cbPrefix, "Test %u: Got prefix %d.\n", i, ret_props.cbPrefix);
         ret_size = ret_props.cbBuffer;
 
         hr = IMemAllocator_GetProperties(allocator, &ret_props);
-        ok(hr == S_OK, "Test %u: Got hr %#lx.\n", i, hr);
-        ok(ret_props.cBuffers == req_props.cBuffers, "Test %u: Got %ld buffers.\n", i, ret_props.cBuffers);
-        ok(ret_props.cbBuffer == ret_size, "Test %u: Got size %ld.\n", i, ret_props.cbBuffer);
-        ok(ret_props.cbAlign == req_props.cbAlign, "Test %u: Got alignment %ld.\n", i, ret_props.cbAlign);
-        ok(ret_props.cbPrefix == req_props.cbPrefix, "Test %u: Got prefix %ld.\n", i, ret_props.cbPrefix);
+        ok(hr == S_OK, "Test %u: Got hr %#x.\n", i, hr);
+        ok(ret_props.cBuffers == req_props.cBuffers, "Test %u: Got %d buffers.\n", i, ret_props.cBuffers);
+        ok(ret_props.cbBuffer == ret_size, "Test %u: Got size %d.\n", i, ret_props.cbBuffer);
+        ok(ret_props.cbAlign == req_props.cbAlign, "Test %u: Got alignment %d.\n", i, ret_props.cbAlign);
+        ok(ret_props.cbPrefix == req_props.cbPrefix, "Test %u: Got prefix %d.\n", i, ret_props.cbPrefix);
 
         hr = IMemAllocator_Commit(allocator);
         if (!req_props.cbBuffer)
         {
-            ok(hr == VFW_E_SIZENOTSET, "Test %u: Got hr %#lx.\n", i, hr);
+            ok(hr == VFW_E_SIZENOTSET, "Test %u: Got hr %#x.\n", i, hr);
             continue;
         }
-        ok(hr == S_OK, "Test %u: Got hr %#lx.\n", i, hr);
+        ok(hr == S_OK, "Test %u: Got hr %#x.\n", i, hr);
 
         hr = IMemAllocator_SetProperties(allocator, &req_props, &ret_props);
-        ok(hr == VFW_E_ALREADY_COMMITTED, "Test %u: Got hr %#lx.\n", i, hr);
+        ok(hr == VFW_E_ALREADY_COMMITTED, "Test %u: Got hr %#x.\n", i, hr);
 
         hr = IMemAllocator_GetBuffer(allocator, &sample, NULL, NULL, 0);
-        ok(hr == S_OK, "Test %u: Got hr %#lx.\n", i, hr);
+        ok(hr == S_OK, "Test %u: Got hr %#x.\n", i, hr);
 
         size = IMediaSample_GetSize(sample);
-        ok(size == ret_size, "Test %u: Got size %ld.\n", i, size);
+        ok(size == ret_size, "Test %u: Got size %d.\n", i, size);
 
         hr = IMemAllocator_Decommit(allocator);
-        ok(hr == S_OK, "Test %u: Got hr %#lx.\n", i, hr);
+        ok(hr == S_OK, "Test %u: Got hr %#x.\n", i, hr);
 
         hr = IMemAllocator_SetProperties(allocator, &req_props, &ret_props);
-        ok(hr == VFW_E_BUFFERS_OUTSTANDING, "Test %u: Got hr %#lx.\n", i, hr);
+        ok(hr == VFW_E_BUFFERS_OUTSTANDING, "Test %u: Got hr %#x.\n", i, hr);
 
         hr = IMediaSample_Release(sample);
-        ok(hr == S_OK, "Test %u: Got hr %#lx.\n", i, hr);
+        ok(hr == S_OK, "Test %u: Got hr %#x.\n", i, hr);
     }
 
     IMemAllocator_Release(allocator);
@@ -130,42 +130,42 @@ static void test_commit(void)
     BYTE *data;
 
     hr = IMemAllocator_SetProperties(allocator, &req_props, &ret_props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMemAllocator_GetBuffer(allocator, &sample, NULL, NULL, 0);
-    ok(hr == VFW_E_NOT_COMMITTED, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_NOT_COMMITTED, "Got hr %#x.\n", hr);
 
     hr = IMemAllocator_Commit(allocator);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMemAllocator_Commit(allocator);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMemAllocator_GetBuffer(allocator, &sample, NULL, NULL, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     IMediaSample_Release(sample);
 
     hr = IMemAllocator_Decommit(allocator);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMemAllocator_Decommit(allocator);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     /* Extant samples remain valid even after Decommit() is called. */
     hr = IMemAllocator_Commit(allocator);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMemAllocator_GetBuffer(allocator, &sample, NULL, NULL, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMediaSample_GetPointer(sample, &data);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMemAllocator_Decommit(allocator);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     memset(data, 0xcc, 65536);
 
     hr = IMemAllocator_GetBuffer(allocator, &sample2, NULL, NULL, 0);
-    ok(hr == VFW_E_NOT_COMMITTED, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_NOT_COMMITTED, "Got hr %#x.\n", hr);
 
     IMediaSample_Release(sample);
     IMemAllocator_Release(allocator);
@@ -182,132 +182,132 @@ static void test_sample_time(void)
     HRESULT hr;
 
     hr = IMemAllocator_SetProperties(allocator, &req_props, &ret_props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMemAllocator_Commit(allocator);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMemAllocator_GetBuffer(allocator, &sample, NULL, NULL, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMediaSample_QueryInterface(sample, &IID_IMediaSample2, (void **)&sample2);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     start = 0xdeadbeef;
     end = 0xdeadf00d;
     hr = IMediaSample_GetTime(sample, &start, &end);
-    ok(hr == VFW_E_SAMPLE_TIME_NOT_SET, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_SAMPLE_TIME_NOT_SET, "Got hr %#x.\n", hr);
     ok(start == 0xdeadbeef, "Got start %s.\n", wine_dbgstr_longlong(start));
     ok(end == 0xdeadf00d, "Got end %s.\n", wine_dbgstr_longlong(end));
 
     hr = IMediaSample2_GetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(!props.dwSampleFlags, "Got flags %#lx.\n", props.dwSampleFlags);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(!props.dwSampleFlags, "Got flags %#x.\n", props.dwSampleFlags);
 
     hr = IMediaSample_SetTime(sample, NULL, NULL);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMediaSample_GetTime(sample, &start, &end);
-    ok(hr == VFW_E_SAMPLE_TIME_NOT_SET, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_SAMPLE_TIME_NOT_SET, "Got hr %#x.\n", hr);
 
     hr = IMediaSample2_GetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(!props.dwSampleFlags, "Got flags %#lx.\n", props.dwSampleFlags);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(!props.dwSampleFlags, "Got flags %#x.\n", props.dwSampleFlags);
 
     start = 0x123;
     hr = IMediaSample_SetTime(sample, &start, NULL);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     start = end = 0;
     hr = IMediaSample_GetTime(sample, &start, &end);
-    ok(hr == VFW_S_NO_STOP_TIME, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_S_NO_STOP_TIME, "Got hr %#x.\n", hr);
     ok(start == 0x123, "Got start %s.\n", wine_dbgstr_longlong(start));
     ok(end == 0x124, "Got end %s.\n", wine_dbgstr_longlong(end));
 
     hr = IMediaSample2_GetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(props.dwSampleFlags == AM_SAMPLE_TIMEVALID, "Got flags %#lx.\n", props.dwSampleFlags);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(props.dwSampleFlags == AM_SAMPLE_TIMEVALID, "Got flags %#x.\n", props.dwSampleFlags);
     ok(props.tStart == 0x123, "Got start %s.\n", wine_dbgstr_longlong(props.tStart));
 
     hr = IMediaSample_SetTime(sample, NULL, NULL);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMediaSample_GetTime(sample, &start, &end);
-    ok(hr == VFW_E_SAMPLE_TIME_NOT_SET, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_SAMPLE_TIME_NOT_SET, "Got hr %#x.\n", hr);
 
     hr = IMediaSample2_GetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(!props.dwSampleFlags, "Got flags %#lx.\n", props.dwSampleFlags);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(!props.dwSampleFlags, "Got flags %#x.\n", props.dwSampleFlags);
 
     end = 0x321;
     hr = IMediaSample_SetTime(sample, NULL, &end);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMediaSample_GetTime(sample, &start, &end);
-    ok(hr == VFW_E_SAMPLE_TIME_NOT_SET, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_SAMPLE_TIME_NOT_SET, "Got hr %#x.\n", hr);
 
     hr = IMediaSample2_GetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(!props.dwSampleFlags, "Got flags %#lx.\n", props.dwSampleFlags);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(!props.dwSampleFlags, "Got flags %#x.\n", props.dwSampleFlags);
 
     start = 0x123;
     end = 0x321;
     hr = IMediaSample_SetTime(sample, &start, &end);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     start = end = 0;
     hr = IMediaSample_GetTime(sample, &start, &end);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(start == 0x123, "Got start %s.\n", wine_dbgstr_longlong(start));
     ok(end == 0x321, "Got end %s.\n", wine_dbgstr_longlong(end));
 
     hr = IMediaSample2_GetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(props.dwSampleFlags == (AM_SAMPLE_TIMEVALID | AM_SAMPLE_STOPVALID),
-            "Got flags %#lx.\n", props.dwSampleFlags);
+            "Got flags %#x.\n", props.dwSampleFlags);
     ok(props.tStart == 0x123, "Got start %s.\n", wine_dbgstr_longlong(props.tStart));
     ok(props.tStop == 0x321, "Got end %s.\n", wine_dbgstr_longlong(props.tStop));
 
     props.dwSampleFlags = 0;
     hr = IMediaSample2_SetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMediaSample_GetTime(sample, &start, &end);
-    ok(hr == VFW_E_SAMPLE_TIME_NOT_SET, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_SAMPLE_TIME_NOT_SET, "Got hr %#x.\n", hr);
 
     hr = IMediaSample2_GetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(!props.dwSampleFlags, "Got flags %#lx.\n", props.dwSampleFlags);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(!props.dwSampleFlags, "Got flags %#x.\n", props.dwSampleFlags);
 
     props.dwSampleFlags = AM_SAMPLE_TIMEVALID;
     props.tStart = 0x123;
     hr = IMediaSample2_SetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     start = end = 0;
     hr = IMediaSample_GetTime(sample, &start, &end);
-    ok(hr == VFW_S_NO_STOP_TIME, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_S_NO_STOP_TIME, "Got hr %#x.\n", hr);
     ok(start == 0x123, "Got start %s.\n", wine_dbgstr_longlong(start));
     ok(end == 0x124, "Got end %s.\n", wine_dbgstr_longlong(end));
 
     hr = IMediaSample2_GetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(props.dwSampleFlags == AM_SAMPLE_TIMEVALID, "Got flags %#lx.\n", props.dwSampleFlags);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(props.dwSampleFlags == AM_SAMPLE_TIMEVALID, "Got flags %#x.\n", props.dwSampleFlags);
     ok(props.tStart == 0x123, "Got start %s.\n", wine_dbgstr_longlong(props.tStart));
 
     props.dwSampleFlags = AM_SAMPLE_TIMEVALID | AM_SAMPLE_STOPVALID;
     props.tStart = 0x1234;
     props.tStop = 0x4321;
     hr = IMediaSample2_SetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     start = end = 0;
     hr = IMediaSample_GetTime(sample, &start, &end);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(start == 0x1234, "Got start %s.\n", wine_dbgstr_longlong(start));
     ok(end == 0x4321, "Got end %s.\n", wine_dbgstr_longlong(end));
 
     hr = IMediaSample2_GetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(props.dwSampleFlags == (AM_SAMPLE_TIMEVALID | AM_SAMPLE_STOPVALID),
-            "Got flags %#lx.\n", props.dwSampleFlags);
+            "Got flags %#x.\n", props.dwSampleFlags);
     ok(props.tStart == 0x1234, "Got start %s.\n", wine_dbgstr_longlong(props.tStart));
     ok(props.tStop == 0x4321, "Got end %s.\n", wine_dbgstr_longlong(props.tStop));
 
@@ -317,28 +317,28 @@ static void test_sample_time(void)
     start = 0x123;
     end = 0x321;
     hr = IMemAllocator_GetBuffer(allocator, &sample, &start, &end, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMediaSample_QueryInterface(sample, &IID_IMediaSample2, (void **)&sample2);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     start = 0xdeadbeef;
     end = 0xdeadf00d;
     hr = IMediaSample_GetTime(sample, &start, &end);
-    ok(hr == VFW_E_SAMPLE_TIME_NOT_SET, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_SAMPLE_TIME_NOT_SET, "Got hr %#x.\n", hr);
     ok(start == 0xdeadbeef, "Got start %s.\n", wine_dbgstr_longlong(start));
     ok(end == 0xdeadf00d, "Got end %s.\n", wine_dbgstr_longlong(end));
 
     hr = IMediaSample2_GetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(!props.dwSampleFlags, "Got flags %#lx.\n", props.dwSampleFlags);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(!props.dwSampleFlags, "Got flags %#x.\n", props.dwSampleFlags);
 
     start = 0x123;
     end = 0x321;
     hr = IMediaSample_SetMediaTime(sample, &start, &end);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMediaSample_GetTime(sample, &start, &end);
-    ok(hr == VFW_E_SAMPLE_TIME_NOT_SET, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_SAMPLE_TIME_NOT_SET, "Got hr %#x.\n", hr);
 
     IMediaSample2_Release(sample2);
     IMediaSample_Release(sample);
@@ -355,48 +355,48 @@ static void test_media_time(void)
     HRESULT hr;
 
     hr = IMemAllocator_SetProperties(allocator, &req_props, &ret_props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMemAllocator_Commit(allocator);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMemAllocator_GetBuffer(allocator, &sample, NULL, NULL, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     start = 0xdeadbeef;
     end = 0xdeadf00d;
     hr = IMediaSample_GetMediaTime(sample, &start, &end);
-    ok(hr == VFW_E_MEDIA_TIME_NOT_SET, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_MEDIA_TIME_NOT_SET, "Got hr %#x.\n", hr);
     ok(start == 0xdeadbeef, "Got start %s.\n", wine_dbgstr_longlong(start));
     ok(end == 0xdeadf00d, "Got end %s.\n", wine_dbgstr_longlong(end));
 
     hr = IMediaSample_SetMediaTime(sample, NULL, NULL);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMediaSample_GetMediaTime(sample, &start, &end);
-    ok(hr == VFW_E_MEDIA_TIME_NOT_SET, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_MEDIA_TIME_NOT_SET, "Got hr %#x.\n", hr);
 
     /* This crashes on quartz.dll < 6.6. */
     if (0)
     {
         start = 0x123;
         hr = IMediaSample_SetMediaTime(sample, &start, NULL);
-        ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+        ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     }
 
     end = 0x321;
     hr = IMediaSample_SetMediaTime(sample, NULL, &end);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMediaSample_GetMediaTime(sample, &start, &end);
-    ok(hr == VFW_E_MEDIA_TIME_NOT_SET, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_MEDIA_TIME_NOT_SET, "Got hr %#x.\n", hr);
 
     start = 0x123;
     end = 0x321;
     hr = IMediaSample_SetMediaTime(sample, &start, &end);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     start = end = 0;
     hr = IMediaSample_GetMediaTime(sample, &start, &end);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(start == 0x123, "Got start %s.\n", wine_dbgstr_longlong(start));
     ok(end == 0x321, "Got end %s.\n", wine_dbgstr_longlong(end));
 
@@ -405,35 +405,35 @@ static void test_media_time(void)
     start = 0x123;
     end = 0x321;
     hr = IMemAllocator_GetBuffer(allocator, &sample, &start, &end, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     start = 0xdeadbeef;
     end = 0xdeadf00d;
     hr = IMediaSample_GetMediaTime(sample, &start, &end);
-    ok(hr == VFW_E_MEDIA_TIME_NOT_SET, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_MEDIA_TIME_NOT_SET, "Got hr %#x.\n", hr);
     ok(start == 0xdeadbeef, "Got start %s.\n", wine_dbgstr_longlong(start));
     ok(end == 0xdeadf00d, "Got end %s.\n", wine_dbgstr_longlong(end));
 
     start = 0x123;
     end = 0x321;
     hr = IMediaSample_SetTime(sample, &start, &end);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMediaSample_GetMediaTime(sample, &start, &end);
-    ok(hr == VFW_E_MEDIA_TIME_NOT_SET, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_MEDIA_TIME_NOT_SET, "Got hr %#x.\n", hr);
 
     start = 0x123;
     end = 0x321;
     hr = IMediaSample_SetMediaTime(sample, &start, &end);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     IMediaSample_Release(sample);
 
     hr = IMemAllocator_GetBuffer(allocator, &sample, NULL, NULL, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMediaSample_GetMediaTime(sample, &start, &end);
-    ok(hr == VFW_E_MEDIA_TIME_NOT_SET, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_MEDIA_TIME_NOT_SET, "Got hr %#x.\n", hr);
 
     IMediaSample_Release(sample);
     IMemAllocator_Release(allocator);
